Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class WriteableWriterWrapper

    java.lang.Object
      org.jasig.portal.utils.WriteableWriterWrapper

All Implemented Interfaces:
  IWriteable

    public class WriteableWriterWrapper

extends java.lang.Object
implements IWriteable

A simple wrapper to present `IWriteable` interface for a regular `java.io.Writer`.

Version:
  $Revision: 1.6 $
Author:
  Peter Kharchenko

Field Summary
`protected java.io.Writer` | `out`

Constructor Summary
`WriteableWriterWrapper(java.io.Writer out)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(int i)`
`void` | `write(int[] ibuf)`
`void` | `write(int[] ibuf, int off, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected final java.io.Writer out

Constructor Detail

### WriteableWriterWrapper

    public WriteableWriterWrapper(java.io.Writer out)

Method Detail

### write

    public void write(int i)
               throws java.io.IOException

  Specified by:
    `write` in interface `IWriteable`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `IWriteable`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `IWriteable`
  Throws:
    `java.io.IOException`

### write

    public void write(int[] ibuf,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in interface `IWriteable`
  Throws:
    `java.io.IOException`

### write

    public void write(int[] ibuf)
               throws java.io.IOException

  Specified by:
    `write` in interface `IWriteable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD